> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace batch calling jobs

> Get all batch calls for the current workspace.



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voiceai/batch-calling/workspace
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voiceai/batch-calling/workspace:
    get:
      tags:
        - Batch Calling
      summary: List workspace batch calling jobs
      description: Get all batch calls for the current workspace.
      operationId: get_workspace_batch_calls
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Maximum number of results
            default: 100
            title: Limit
          description: Maximum number of results
        - name: last_doc
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination
            title: Last Doc
          description: Cursor for pagination
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceBatchCallsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    WorkspaceBatchCallsResponse:
      properties:
        batch_calls:
          items:
            $ref: '#/components/schemas/BatchCallResponse'
          type: array
          title: Batch Calls
          description: List of batch calls
        next_doc:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Doc
          description: Cursor for next page of results
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more results
          default: false
      type: object
      required:
        - batch_calls
      title: WorkspaceBatchCallsResponse
      description: Response model for listing batch calls in a workspace.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BatchCallResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique batch call ID
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
          description: Caller phone number ID
        phone_provider:
          anyOf:
            - $ref: '#/components/schemas/TelephonyProvider'
            - type: 'null'
        whatsapp_params:
          anyOf:
            - $ref: '#/components/schemas/BatchCallWhatsAppParams'
            - type: 'null'
        name:
          type: string
          title: Name
          description: Name of the batch call job
        agent_id:
          type: string
          title: Agent Id
          description: Agent ID to use for calls
        created_at_unix:
          type: integer
          title: Created At Unix
          description: Unix timestamp when created
        scheduled_time_unix:
          type: integer
          title: Scheduled Time Unix
          description: Unix timestamp when scheduled to start
        total_calls_dispatched:
          type: integer
          title: Total Calls Dispatched
          description: Number of calls dispatched
          default: 0
        total_calls_scheduled:
          type: integer
          title: Total Calls Scheduled
          description: Number of calls scheduled
          default: 0
        total_calls_finished:
          type: integer
          title: Total Calls Finished
          description: Number of calls finished (completed + failed)
          default: 0
        last_updated_at_unix:
          type: integer
          title: Last Updated At Unix
          description: Unix timestamp of last update
        status:
          $ref: '#/components/schemas/BatchCallStatus'
          description: Current status of the batch job
        retry_count:
          type: integer
          title: Retry Count
          description: Number of retries attempted
          default: 0
        agent_name:
          type: string
          title: Agent Name
          description: Name of the agent
      type: object
      required:
        - id
        - name
        - agent_id
        - created_at_unix
        - scheduled_time_unix
        - last_updated_at_unix
        - status
        - agent_name
      title: BatchCallResponse
      description: Response model for a single batch call job.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TelephonyProvider:
      type: string
      enum:
        - twilio
        - vobiz
        - sip_trunk
      title: TelephonyProvider
      description: Telephony provider for batch calls.
    BatchCallWhatsAppParams:
      properties:
        whatsapp_phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Phone Number Id
        whatsapp_call_permission_request_template_name:
          type: string
          title: Whatsapp Call Permission Request Template Name
        whatsapp_call_permission_request_template_language_code:
          type: string
          title: Whatsapp Call Permission Request Template Language Code
      type: object
      required:
        - whatsapp_call_permission_request_template_name
        - whatsapp_call_permission_request_template_language_code
      title: BatchCallWhatsAppParams
      description: WhatsApp parameters for batch calls (future support).
    BatchCallStatus:
      type: string
      enum:
        - pending
        - in_progress
        - completed
        - failed
        - cancelled
      title: BatchCallStatus
      description: Status of a batch call job.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````